//https://www.youtube.com/@BitaBit

//https://bitabittecnologia.com.br/

//Link para o vídeo no YouTube: https://youtu.be/WI0bnoP87O8

#include <ShiftRegister74HC595.h>

ShiftRegister74HC595<1> shift_register(2, 3, 4); //<quantidade de shift registers> (pino data, pino clock, pino latch)

void setup() 
{
  
}

void loop() 
{
  
  //Coloca todos os pinos do shift register em alto
  shift_register.setAllHigh();
  delay(1000);

  //Coloca todos os pinos do shift register em baixo
  shift_register.setAllLow();
  delay(1000);
  
  /*
  //Define os pinos que vão ficar em alto
  shift_register.set(0, HIGH);
  shift_register.set(3, HIGH);
  shift_register.set(4, HIGH);
  delay(1000);

  //Define os pinos que vão ficar em baixo
  shift_register.set(0, LOW);
  shift_register.set(3, LOW);
  shift_register.set(4, LOW);
  delay(1000);
  */

  /*
  //Define todos os pinos de uma vez
  //Seta de trás para frente- bit menos significativo
  uint8_t pinos_1[] = {B11001000};
  uint8_t pinos_2[] = {B00110111};
  shift_register.setAll(pinos_1);
  delay(1000);
  shift_register.setAll(pinos_2);
  delay(1000);
  */
  
  /*
  //Define os pinos e só altera quando der o update
  shift_register.setNoUpdate(1, HIGH);
  shift_register.setNoUpdate(2, HIGH);
  shift_register.setNoUpdate(5, HIGH);
  shift_register.setNoUpdate(6, HIGH);

  delay(5000);
  
  shift_register.updateRegisters();
  */
  
  /*
  //Exemplo para obter o estado de um pino
  shift_register.set(0, !shift_register.get(0));
  delay(500);
  */
}
